- Qt 6.4
- Qt Widgets
- C++ Classes
- QApplication
- Qt 6.4.2 Reference Documentation

# Obsolete Members for QApplication

The following members of class QApplication are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(deprecated)` QFontMetrics | fontMetrics()

## Member Function Documentation

### `[static]` QFontMetrics QApplication::fontMetrics()

This function is deprecated. We strongly advise against using it in new code.

Use the QFontMetricsF constructor instead. Returns display (screen) font metrics for the application font.

See also font(), setFont(), QWidget::fontMetrics(), and QPainter::fontMetrics().